/*
                  Endeavour Configuration List
 */

#ifndef EDVCFGLIST_H
#define EDVCFGLIST_H


/*
 *	Configuration item parameter names:
 */
#define EDV_CFG_PARM_VERSION_MAJOR	"VersionMajor"
#define EDV_CFG_PARM_VERSION_MINOR	"VersionMinor"
#define EDV_CFG_PARM_VERSION_RELEASE	"VersionRelease"

#define EDV_CFG_PARM_DIR_START_UP	"DirectoryStartUp"
#define EDV_CFG_PARM_DIR_LOCAL		"DirectoryLocal"
#define EDV_CFG_PARM_DIR_GLOBAL		"DirectoryGlobal"
#define EDV_CFG_PARM_DIR_TMP		"DirectoryTmp"

#define EDV_CFG_PARM_FILE_RECYCLED_INDEX	"FileRecycledIndex"
#define EDV_CFG_PARM_FILE_MIME_TYPES	"FileMIMETypes"
#define EDV_CFG_PARM_FILE_DEVICES	"FileDevices"

#define EDV_CFG_PARM_WRITE_PROTECT	"WriteProtect"

#define EDV_CFG_PARM_RIGHT_CLICK_MENU_SELECTS	"RightClickMenuSelects"

#define EDV_CFG_PARM_DATE_RELATIVITY	"DateRelativity"
#define EDV_CFG_PARM_DATE_FORMAT	"DateFormat"

#define EDV_CFG_PARM_SHOW_TOOLTIPS	"ShowTooltips"

#define EDV_CFG_PARM_CONFIRM_COPY	"ConfirmCopy"
#define EDV_CFG_PARM_CONFIRM_MOVE	"ConfirmMove"
#define EDV_CFG_PARM_CONFIRM_LINK	"ConfirmLink"
#define EDV_CFG_PARM_CONFIRM_DELETE	"ConfirmDelete"
#define EDV_CFG_PARM_CONFIRM_RECOVER	"ConfirmRecover"
#define EDV_CFG_PARM_CONFIRM_PURGE	"ConfirmPurge"

#define EDV_CFG_PARM_HISTORY_EVENTS_MAX	"HistoryEventsMax"

#define EDV_CFG_PARM_RECBIN_SIZE_WARN	"RecBinSizeWarn"

#define EDV_CFG_PARM_STARTUP_BROWSER	"StartupBrowser"
#define EDV_CFG_PARM_STARTUP_IMBR	"StartupImageBrowser"
#define EDV_CFG_PARM_STARTUP_RECBIN	"StartupRecBin"

#define EDV_CFG_PARM_BROWSER_X		"BrowserX"
#define EDV_CFG_PARM_BROWSER_Y		"BrowserY"
#define EDV_CFG_PARM_BROWSER_WIDTH	"BrowserWidth"
#define EDV_CFG_PARM_BROWSER_HEIGHT	"BrowserHeight"
#define EDV_CFG_PARM_BROWSER_PANED_POSITION	"BrowserPanedPosition"
#define EDV_CFG_PARM_BROWSER_SHOW_TOOL_BAR	"BrowserShowToolBar"
#define EDV_CFG_PARM_BROWSER_SHOW_LOCATION_BAR	"BrowserShowLocationBar"
#define EDV_CFG_PARM_BROWSER_SHOW_MOUNT_BAR	"BrowserShowMountBar"
#define EDV_CFG_PARM_BROWSER_SHOW_FIND_BAR	"BrowserShowFindBar"
#define EDV_CFG_PARM_BROWSER_SHOW_STATUS_BAR	"BrowserShowStatusBar"
#define EDV_CFG_PARM_BROWSER_TOOL_BAR	"BrowserToolBar"
#define EDV_CFG_PARM_BROWSER_TOOL_BAR_DISPLAY	"BrowserToolBarDisplay"
#define EDV_CFG_PARM_BROWSER_TOOL_BAR_RELIEF	"BrowserToolBarRelief"
#define EDV_CFG_PARM_BROWSER_CONTENTS_COLUMN	"BrowserContentsColumn"
#define EDV_CFG_PARM_BROWSER_CONTENTS_COLUMN_WIDTH	"BrowserContentsColumnWidth"
#define EDV_CFG_PARM_BROWSER_SHOW_OBJECT_HIDDEN	"BrowserShowObjectHidden"
#define EDV_CFG_PARM_BROWSER_SHOW_OBJECT_NOACCESS	"BrowserShowObjectNoAccess"

#define EDV_CFG_PARM_IMBR_X		"ImageBrowserX"
#define EDV_CFG_PARM_IMBR_Y          	"ImageBrowserY"
#define EDV_CFG_PARM_IMBR_WIDTH		"ImageBrowserWidth"
#define EDV_CFG_PARM_IMBR_HEIGHT	"ImageBrowserHeight"
#define EDV_CFG_PARM_IMBR_PANED_POSITION	"ImageBrowserPanedPosition"
#define EDV_CFG_PARM_IMBR_SHOW_TOOL_BAR		"ImageBrowserShowToolBar"
#define EDV_CFG_PARM_IMBR_SHOW_LOCATION_BAR	"ImageBrowserShowLocationBar"
#define EDV_CFG_PARM_IMBR_SHOW_MOUNT_BAR	"ImageBrowserShowMountBar"
#define EDV_CFG_PARM_IMBR_SHOW_FIND_BAR		"ImageBrowserShowFindBar"
#define EDV_CFG_PARM_IMBR_SHOW_STATUS_BAR	"ImageBrowserShowStatusBar"
#define EDV_CFG_PARM_IMBR_TOOL_BAR		"ImageBrowserToolBar"
#define EDV_CFG_PARM_IMBR_TOOL_BAR_DISPLAY	"ImageBrowserToolBarDisplay"
#define EDV_CFG_PARM_IMBR_TOOL_BAR_RELIEF	"ImageBrowserToolBarRelief"
#define EDV_CFG_PARM_IMBR_THUMB_WIDTH		"ImageBrowserThumbWidth"
#define EDV_CFG_PARM_IMBR_THUMB_HEIGHT		"ImageBrowserThumbHeight"
#define EDV_CFG_PARM_IMBR_THUMB_BORDER		"ImageBrowserThumbBorder"
#define EDV_CFG_PARM_IMBR_SHOW_OBJECT_HIDDEN	"ImageBrowserShowObjectHidden"
#define EDV_CFG_PARM_IMBR_SHOW_OBJECT_NOACCESS	"ImageBrowserShowObjectNoAccess"

#define EDV_CFG_PARM_RECBIN_X		"RecBinX"
#define EDV_CFG_PARM_RECBIN_Y		"RecBinY"
#define EDV_CFG_PARM_RECBIN_WIDTH	"RecBinWidth"
#define EDV_CFG_PARM_RECBIN_HEIGHT	"RecBinHeight"
#define EDV_CFG_PARM_RECBIN_SHOW_DESKTOP_ICON	"RecBinShowDesktopIcon"
#define EDV_CFG_PARM_RECBIN_DESKTOP_ICON_X	"RecBinDesktopIconX"
#define EDV_CFG_PARM_RECBIN_DESKTOP_ICON_Y	"RecBinDesktopIconY"
#define EDV_CFG_PARM_RECBIN_SHOW_TOOL_BAR	"RecBinShowToolBar"
#define EDV_CFG_PARM_RECBIN_SHOW_STATUS_BAR	"RecBinShowStatusBar"
#define EDV_CFG_PARM_RECBIN_TOOL_BAR	"RecBinToolBar"
#define EDV_CFG_PARM_RECBIN_TOOL_BAR_DISPLAY	"RecBinToolBarDisplay"
#define EDV_CFG_PARM_RECBIN_TOOL_BAR_RELIEF	"RecBinToolBarRelief"
#define EDV_CFG_PARM_RECBIN_CONTENTS_COLUMN	"RecBinContentsColumn"
#define EDV_CFG_PARM_RECBIN_CONTENTS_COLUMN_WIDTH	"RecBinContentsColumnWidth"

#define EDV_CFG_PARM_FINDWIN_X		"FindWinX"
#define EDV_CFG_PARM_FINDWIN_Y		"FindWinY"
#define EDV_CFG_PARM_FINDWIN_WIDTH	"FindWinWidth"
#define EDV_CFG_PARM_FINDWIN_HEIGHT	"FindWinHeight"
#define EDV_CFG_PARM_FINDWIN_SEARCH_STRING	"FindWinSearchString"
#define EDV_CFG_PARM_FINDWIN_FIND_OP		"FindWinFindOperation"
#define EDV_CFG_PARM_FINDWIN_CASE_SENSITIVE	"FindWinCaseSensitive"
#define EDV_CFG_PARM_FINDWIN_RECURSIVE		"FindWinRecursive"


/*
#define EDV_CFG_PARM_MIMETYPES_WIN_X
#define EDV_CFG_PARM_MIMETYPES_WIN_Y

#define EDV_CFG_PARM_DEVICES_WIN_X
#define EDV_CFG_PARM_DEVICES_WIN_Y
 */

/*
 *	Configuration list:
 *
 *	Values are <type> <parm> <value_ptr>.
 *	See edvcfg.h for a list of valid values for <type>.
 *	Initial value for <value_ptr> should always be NULL.
 *
 *	This configuration list should be initialized in
 *	EDVDoCreateStandardConfiguration() in main.c
 */
#define EDV_CONFIGURATION_LIST		\
{ \
{ EDV_CFG_ITEM_TYPE_INT32, EDV_CFG_PARM_VERSION_MAJOR, NULL }, \
{ EDV_CFG_ITEM_TYPE_INT32, EDV_CFG_PARM_VERSION_MINOR, NULL }, \
{ EDV_CFG_ITEM_TYPE_INT32, EDV_CFG_PARM_VERSION_RELEASE, NULL }, \
\
{ EDV_CFG_ITEM_TYPE_STRING, EDV_CFG_PARM_DIR_START_UP, NULL }, \
{ EDV_CFG_ITEM_TYPE_STRING, EDV_CFG_PARM_DIR_GLOBAL, NULL }, \
{ EDV_CFG_ITEM_TYPE_STRING, EDV_CFG_PARM_DIR_LOCAL, NULL }, \
{ EDV_CFG_ITEM_TYPE_STRING, EDV_CFG_PARM_DIR_TMP, NULL }, \
\
{ EDV_CFG_ITEM_TYPE_STRING, EDV_CFG_PARM_FILE_RECYCLED_INDEX, NULL }, \
{ EDV_CFG_ITEM_TYPE_STRING, EDV_CFG_PARM_FILE_MIME_TYPES, NULL }, \
{ EDV_CFG_ITEM_TYPE_STRING, EDV_CFG_PARM_FILE_DEVICES, NULL }, \
\
{ EDV_CFG_ITEM_TYPE_UINT8, EDV_CFG_PARM_WRITE_PROTECT, NULL }, \
\
{ EDV_CFG_ITEM_TYPE_UINT8, EDV_CFG_PARM_RIGHT_CLICK_MENU_SELECTS, NULL }, \
\
{ EDV_CFG_ITEM_TYPE_INT32, EDV_CFG_PARM_DATE_RELATIVITY, NULL }, \
{ EDV_CFG_ITEM_TYPE_STRING, EDV_CFG_PARM_DATE_FORMAT, NULL }, \
\
{ EDV_CFG_ITEM_TYPE_UINT8, EDV_CFG_PARM_SHOW_TOOLTIPS, NULL }, \
\
{ EDV_CFG_ITEM_TYPE_UINT8, EDV_CFG_PARM_CONFIRM_COPY, NULL }, \
{ EDV_CFG_ITEM_TYPE_UINT8, EDV_CFG_PARM_CONFIRM_MOVE, NULL }, \
{ EDV_CFG_ITEM_TYPE_UINT8, EDV_CFG_PARM_CONFIRM_LINK, NULL }, \
{ EDV_CFG_ITEM_TYPE_UINT8, EDV_CFG_PARM_CONFIRM_DELETE, NULL }, \
{ EDV_CFG_ITEM_TYPE_UINT8, EDV_CFG_PARM_CONFIRM_RECOVER, NULL }, \
{ EDV_CFG_ITEM_TYPE_UINT8, EDV_CFG_PARM_CONFIRM_PURGE, NULL }, \
\
{ EDV_CFG_ITEM_TYPE_INT32, EDV_CFG_PARM_HISTORY_EVENTS_MAX, NULL }, \
{ EDV_CFG_ITEM_TYPE_UINT64, EDV_CFG_PARM_RECBIN_SIZE_WARN, NULL }, \
\
{ EDV_CFG_ITEM_TYPE_UINT8, EDV_CFG_PARM_STARTUP_BROWSER, NULL }, \
{ EDV_CFG_ITEM_TYPE_UINT8, EDV_CFG_PARM_STARTUP_IMBR, NULL }, \
{ EDV_CFG_ITEM_TYPE_UINT8, EDV_CFG_PARM_STARTUP_RECBIN, NULL }, \
\
{ EDV_CFG_ITEM_TYPE_INT32, EDV_CFG_PARM_BROWSER_X, NULL }, \
{ EDV_CFG_ITEM_TYPE_INT32, EDV_CFG_PARM_BROWSER_Y, NULL }, \
{ EDV_CFG_ITEM_TYPE_INT32, EDV_CFG_PARM_BROWSER_WIDTH, NULL }, \
{ EDV_CFG_ITEM_TYPE_INT32, EDV_CFG_PARM_BROWSER_HEIGHT, NULL }, \
{ EDV_CFG_ITEM_TYPE_INT32, EDV_CFG_PARM_BROWSER_PANED_POSITION, NULL }, \
{ EDV_CFG_ITEM_TYPE_UINT8, EDV_CFG_PARM_BROWSER_SHOW_TOOL_BAR, NULL }, \
{ EDV_CFG_ITEM_TYPE_UINT8, EDV_CFG_PARM_BROWSER_SHOW_LOCATION_BAR, NULL }, \
{ EDV_CFG_ITEM_TYPE_UINT8, EDV_CFG_PARM_BROWSER_SHOW_MOUNT_BAR, NULL }, \
{ EDV_CFG_ITEM_TYPE_UINT8, EDV_CFG_PARM_BROWSER_SHOW_FIND_BAR, NULL }, \
{ EDV_CFG_ITEM_TYPE_UINT8, EDV_CFG_PARM_BROWSER_SHOW_STATUS_BAR, NULL }, \
{ EDV_CFG_ITEM_TYPE_INTLIST, EDV_CFG_PARM_BROWSER_TOOL_BAR, NULL }, \
{ EDV_CFG_ITEM_TYPE_INT32, EDV_CFG_PARM_BROWSER_TOOL_BAR_DISPLAY, NULL }, \
{ EDV_CFG_ITEM_TYPE_INT32, EDV_CFG_PARM_BROWSER_TOOL_BAR_RELIEF, NULL }, \
{ EDV_CFG_ITEM_TYPE_INTLIST, EDV_CFG_PARM_BROWSER_CONTENTS_COLUMN, NULL }, \
{ EDV_CFG_ITEM_TYPE_INTLIST, EDV_CFG_PARM_BROWSER_CONTENTS_COLUMN_WIDTH, NULL }, \
{ EDV_CFG_ITEM_TYPE_UINT8, EDV_CFG_PARM_BROWSER_SHOW_OBJECT_HIDDEN, NULL }, \
{ EDV_CFG_ITEM_TYPE_UINT8, EDV_CFG_PARM_BROWSER_SHOW_OBJECT_NOACCESS, NULL }, \
\
{ EDV_CFG_ITEM_TYPE_INT32, EDV_CFG_PARM_IMBR_X, NULL }, \
{ EDV_CFG_ITEM_TYPE_INT32, EDV_CFG_PARM_IMBR_Y, NULL }, \
{ EDV_CFG_ITEM_TYPE_INT32, EDV_CFG_PARM_IMBR_WIDTH, NULL }, \
{ EDV_CFG_ITEM_TYPE_INT32, EDV_CFG_PARM_IMBR_HEIGHT, NULL }, \
{ EDV_CFG_ITEM_TYPE_INT32, EDV_CFG_PARM_IMBR_PANED_POSITION, NULL }, \
{ EDV_CFG_ITEM_TYPE_UINT8, EDV_CFG_PARM_IMBR_SHOW_TOOL_BAR, NULL }, \
{ EDV_CFG_ITEM_TYPE_UINT8, EDV_CFG_PARM_IMBR_SHOW_LOCATION_BAR, NULL }, \
{ EDV_CFG_ITEM_TYPE_UINT8, EDV_CFG_PARM_IMBR_SHOW_MOUNT_BAR, NULL }, \
{ EDV_CFG_ITEM_TYPE_UINT8, EDV_CFG_PARM_IMBR_SHOW_FIND_BAR, NULL }, \
{ EDV_CFG_ITEM_TYPE_UINT8, EDV_CFG_PARM_IMBR_SHOW_STATUS_BAR, NULL }, \
{ EDV_CFG_ITEM_TYPE_INTLIST, EDV_CFG_PARM_IMBR_TOOL_BAR, NULL }, \
{ EDV_CFG_ITEM_TYPE_INT32, EDV_CFG_PARM_IMBR_TOOL_BAR_DISPLAY, NULL }, \
{ EDV_CFG_ITEM_TYPE_INT32, EDV_CFG_PARM_IMBR_TOOL_BAR_RELIEF, NULL }, \
{ EDV_CFG_ITEM_TYPE_INT32, EDV_CFG_PARM_IMBR_THUMB_WIDTH, NULL }, \
{ EDV_CFG_ITEM_TYPE_INT32, EDV_CFG_PARM_IMBR_THUMB_HEIGHT, NULL }, \
{ EDV_CFG_ITEM_TYPE_INT32, EDV_CFG_PARM_IMBR_THUMB_BORDER, NULL }, \
{ EDV_CFG_ITEM_TYPE_UINT8, EDV_CFG_PARM_IMBR_SHOW_OBJECT_HIDDEN, NULL }, \
{ EDV_CFG_ITEM_TYPE_UINT8, EDV_CFG_PARM_IMBR_SHOW_OBJECT_NOACCESS, NULL }, \
\
{ EDV_CFG_ITEM_TYPE_INT32, EDV_CFG_PARM_RECBIN_X, NULL }, \
{ EDV_CFG_ITEM_TYPE_INT32, EDV_CFG_PARM_RECBIN_Y, NULL }, \
{ EDV_CFG_ITEM_TYPE_INT32, EDV_CFG_PARM_RECBIN_WIDTH, NULL }, \
{ EDV_CFG_ITEM_TYPE_INT32, EDV_CFG_PARM_RECBIN_HEIGHT, NULL }, \
{ EDV_CFG_ITEM_TYPE_UINT8, EDV_CFG_PARM_RECBIN_SHOW_DESKTOP_ICON, NULL }, \
{ EDV_CFG_ITEM_TYPE_INT32, EDV_CFG_PARM_RECBIN_DESKTOP_ICON_X, NULL }, \
{ EDV_CFG_ITEM_TYPE_INT32, EDV_CFG_PARM_RECBIN_DESKTOP_ICON_Y, NULL }, \
{ EDV_CFG_ITEM_TYPE_UINT8, EDV_CFG_PARM_RECBIN_SHOW_TOOL_BAR, NULL }, \
{ EDV_CFG_ITEM_TYPE_UINT8, EDV_CFG_PARM_RECBIN_SHOW_STATUS_BAR, NULL }, \
{ EDV_CFG_ITEM_TYPE_INTLIST, EDV_CFG_PARM_RECBIN_TOOL_BAR, NULL }, \
{ EDV_CFG_ITEM_TYPE_INT32, EDV_CFG_PARM_RECBIN_TOOL_BAR_DISPLAY, NULL }, \
{ EDV_CFG_ITEM_TYPE_INT32, EDV_CFG_PARM_RECBIN_TOOL_BAR_RELIEF, NULL }, \
{ EDV_CFG_ITEM_TYPE_INTLIST, EDV_CFG_PARM_RECBIN_CONTENTS_COLUMN, NULL }, \
{ EDV_CFG_ITEM_TYPE_INTLIST, EDV_CFG_PARM_RECBIN_CONTENTS_COLUMN_WIDTH, NULL }, \
\
{ EDV_CFG_ITEM_TYPE_INT32, EDV_CFG_PARM_FINDWIN_X, NULL }, \
{ EDV_CFG_ITEM_TYPE_INT32, EDV_CFG_PARM_FINDWIN_Y, NULL }, \
{ EDV_CFG_ITEM_TYPE_INT32, EDV_CFG_PARM_FINDWIN_WIDTH, NULL }, \
{ EDV_CFG_ITEM_TYPE_INT32, EDV_CFG_PARM_FINDWIN_HEIGHT, NULL }, \
{ EDV_CFG_ITEM_TYPE_STRING, EDV_CFG_PARM_FINDWIN_SEARCH_STRING, NULL }, \
{ EDV_CFG_ITEM_TYPE_INT32, EDV_CFG_PARM_FINDWIN_FIND_OP, NULL }, \
{ EDV_CFG_ITEM_TYPE_UINT8, EDV_CFG_PARM_FINDWIN_CASE_SENSITIVE, NULL }, \
{ EDV_CFG_ITEM_TYPE_UINT8, EDV_CFG_PARM_FINDWIN_RECURSIVE, NULL }, \
\
/* Last item must be all 0's. */ \
{ EDV_CFG_ITEM_TYPE_NONE, NULL, NULL } \
}


#endif	/* EDVCFGLIST_H */
